curl --request GET \
--url https://api.getprimo.com/mdm-controls \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"type": "malwarebyte_macos",
"platform": "macos",
"tags": [
"<string>"
],
"enabled": true,
"targetMethod": "All"
}
],
"pagination": {
"totalElements": 4503599627370495,
"totalPages": 4503599627370495,
"page": 4503599627370496,
"perPage": 50
}
}Return the list of MDM controls for your company with id, name, type, platform, tags, enabled, and target method.
curl --request GET \
--url https://api.getprimo.com/mdm-controls \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"name": "<string>",
"type": "malwarebyte_macos",
"platform": "macos",
"tags": [
"<string>"
],
"enabled": true,
"targetMethod": "All"
}
],
"pagination": {
"totalElements": 4503599627370495,
"totalPages": 4503599627370495,
"page": 4503599627370496,
"perPage": 50
}
}Use your Primo API key in the Authorization header as Bearer <API_KEY>.
Page number
1 <= x <= 9007199254740991Number of items per page (max 100)
1 <= x <= 100Was this page helpful?